# RSL_fill_cappi

### Synopsis

#include "rsl.h"
int *RSL_fill_cappi(Volume *v, Cappi *cap, int method);

###

Description

Using data from v, and information from cap, this routine fill the cappi structure cap with values from the rays in v. The argument cap is modified. The method passed indicates the interpolation used, however, no interpolation is used, yet. Normally, you should not call this routine unless you're writing an RSL routine, instead, call RSL_cappi_at_h.

### Return value

Upon successful completion, 1 is returned. -1 is returned upon failure. The argument cap is modified.

### See also

RSL_free_cappi, RSL_cappi_to_carpi, RSL_get_value_from_cappi, RSL_new_cappi

Author: John H. Merritt